## ffcv 1.0.0+git20240202+ds

=== examples/imagenet-example/requirements.txt ===
terminaltables
pytorch_pfn_extras
fastargs
matplotlib
sklearn
imgcat
pandas
assertpy
tqdm
psutil
webdataset
torchmetrics

## ffcv 0.0.3

=== debian/changelog ===
ffcv (0.0.3-2) unstable; urgency=medium

  * Source only upload.
  * d/control:
    - add Vcs fields.
    - add python3-numba to build-depends.

 -- Gürkan Myczko <tar@debian.org>  Mon, 11 Jul 2022 12:25:12 +0200

ffcv (0.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1012740)

 -- Gürkan Myczko <tar@debian.org>  Thu, 09 Jun 2022 14:09:07 +0200

=== debian/control ===
Source: ffcv
Section: science
Priority: optional
Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
Uploaders: Gürkan Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3,
 python3-setuptools,
 python3-numba,
 python3-opencv,
 python3-sklearn,
 libpython3-dev,
 libopencv-dev,
 libturbojpeg0-dev
Standards-Version: 4.6.1
Homepage: https://ffcv.io/
Vcs-Browser: https://salsa.debian.org/deeplearning-team/ffcv
Vcs-Git: https://salsa.debian.org/deeplearning-team/ffcv.git

Package: python3-ffcv
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Description: Fast Forward Computer Vision (and other ML workloads)
 This is a drop-in data loading system that dramatically increases data
 throughput in model training.

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/libffcv/ffcv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ffcv 1.0.0

=== debian/changelog ===
ffcv (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Gürkan Myczko <tar@debian.org>  Sun, 11 Jun 2023 12:15:34 +0200

ffcv (1.0.0-1) experimental; urgency=medium

  * New upstream version.
  * Bump standards version to 4.6.2.

 -- Gürkan Myczko <tar@debian.org>  Fri, 03 Mar 2023 06:33:10 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  libpython3-dev,
  libopencv-dev,
  libturbojpeg0-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://ffcv.io/
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/ffcv
 Vcs-Git: https://salsa.debian.org/deeplearning-team/ffcv.git

## ffcv 1.0.0+git20240202+ds

=== debian/changelog ===
ffcv (1.0.0+git20240202+ds-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Also drop the runtime dependency on python3-numba.
    (Closes: #1058472)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 16:09:30 +0300

ffcv (1.0.0+git20240202+ds-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:16:54 +0000

ffcv (1.0.0+git20240202+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control: temporarily drop python3-numba. (Closes: #1058472)

 -- Gürkan Myczko <tar@debian.org>  Fri, 02 Feb 2024 12:44:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: science
 Priority: optional
 Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Gürkan Myczko <tar@debian.org>
+Uploaders: Alex Myczko <tar@debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3,
  python3-setuptools,
- python3-numba,
+# python3-numba,
  python3-opencv,
  python3-sklearn,
  libpython3-dev,
  libopencv-dev,
  libturbojpeg0-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://ffcv.io/
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/ffcv
 Vcs-Git: https://salsa.debian.org/deeplearning-team/ffcv.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# See FEATURE AREAS in dpkg-buildflags(1).
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# See ENVIRONMENT in dpkg-buildflags(1).
# Package maintainers to append CFLAGS.
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# Package maintainers to append LDFLAGS.
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@  --with python3 --buildsystem=pybuild

override_dh_auto_test:
	@echo skipping test

## ffcv 1.0.0+git20240506.3a12966

=== debian/changelog ===
ffcv (1.0.0+git20240506.3a12966-1) unstable; urgency=medium

  * QA upload.
  * New upstream commit
  * d/watch: versio=5
  * Switch dependency to python3-terminaltables3
    Closes: #1114547
  * Standards-Version: 4.7.3 (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)
  * debputy lint --auto-fix (routine-update)
  * d/rules:
     - hardening
     - Add comment why test is skipped
  * Add superficial autopkgtest which can be enabled once python3-numba
    might hit testing

 -- Andreas Tille <tille@debian.org>  Wed, 07 Jan 2026 17:19:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,6 @@
 Source: ffcv
 Section: science
-Priority: optional
-Maintainer: Debian Deep Learning Team <debian-ai@lists.debian.org>
-Uploaders: Alex Myczko <tar@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
@@ -14,13 +12,15 @@
  python3-sklearn,
  libpython3-dev,
  libopencv-dev,
- libturbojpeg0-dev
-Standards-Version: 4.7.0
+ libturbojpeg0-dev,
+ python3-torch <!nocheck>
+Standards-Version: 4.7.3
 Homepage: https://ffcv.io/
 Vcs-Browser: https://salsa.debian.org/deeplearning-team/ffcv
 Vcs-Git: https://salsa.debian.org/deeplearning-team/ffcv.git
 
 Package: python3-ffcv
+Section: python
 Architecture: any
 Depends:
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 # See FEATURE AREAS in dpkg-buildflags(1).
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # See ENVIRONMENT in dpkg-buildflags(1).
 # Package maintainers to append CFLAGS.
@@ -14,4 +14,4 @@
 	dh $@  --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	@echo skipping test
+	@echo "Skipping test since it requires numba which should be avoided for the moment"

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-pytest, python3-torch
# python3-numba ... not in testing thus making the test
Restrictions: allow-stderr, superficial

=== debian/watch ===
Version: 5

Source: https://github.com/libffcv/@PACKAGE@.git
Matching-Pattern: HEAD
Mode: git
Git-Pretty: 1.0.0+git%cd.%h
